You need to enable JavaScript to run this app.
Volcano Engine Function as a Service

Volcano Engine Function as a Service

Copy page
Download PDF
Function
Release
Copy page
Download PDF
Release
Release a function.​
Request description​
  • Request method: POST​
  • Request address: http://open.volcengineapi.com/?Action=Release&Version=2024-06-06​
Debugging​
API Explorer
You can initiate calls online through API Explorer without paying attention to the signature generation process and quickly obtain the call results.
​
Request parameter​
​
Parameter​
Type​
Required or Not​
Sample value​
Description​
Action​
String​
Yes​
Release​
Interface name. The current API is called Release.​
Version​
String​
Yes​
2024-06-06​
Interface version. The current version of the API is 2024-06-06.​
FunctionId​
String​
Yes​
nu******​
Function ID.​
RevisionNumber​
Integer​
Yes​
0​
When the version number to be released RevisionNumber = 0, the Latest code will be released and a new version will be created.​
TargetTrafficWeight​
Integer​
No​
100​
Target release traffic percentage. The value range is [0, 100], which represents that the proportion of traffic in the version you want to release. When the value is 100, it represents a full release.​
RollingStep​
Integer​
No​
100​
Grey step length percentage, with a valid value range 1-100, and the default value is 10.​
Description​
String​
No​
Support xxx feature​
The description of this release.​
MaxInstance​
Integer​
No​
10​
Function instance limit. The value range is [0 ~ account remaining available resources/single instance maximum memory].​
​
Sample request​
​
POST http://open.volcengineapi.com/?Action=Release&Version=2024-06-06 HTTP/1.1​
Content-Type: application/json​
{​
"FunctionId": "nu******",​
"RevisionNumber": 0,​
"TargetTrafficWeight": 100,​
"RollingStep": 100,​
"Description": "Support xxx feature",​
"MaxInstance": 10​
}​
​
Response parameter​
​
Parameter​
Type​
Sample value​
Description​
FunctionId​
String​
nw******​
Function ID.​
Status​
String​
done​
Function release status:​
  • pending: Never Released​
  • inprogress: Releasing​
  • done: Released successfully​
  • failed: Release failed​
StatusMessage​
String​
Function release finished successfully​
Function release status details. This is a supplement to the release status.​
StableRevisionNumber​
Integer​
1​
The version number currently running stably online. Generated after the initial release is successful, and before the initial release (status == pending) StableRevisionNumber -1.​
NewRevisionNumber​
Integer​
1​
The version number of the new version being released. When the status is pending, no parameter will return. When the status is inprogress/failed/done, a parameter will return.​
OldRevisionNumber​
Integer​
1​
The version number of the old version. When the status is pending, no parameter will return. When the status is inprogress/failed/done, a parameter will return.​
StartTime​
String​
2024-06-27 07:05:12​
The current release start time. When the status is pending, no parameter will return. When the status is inprogress/failed/done, a parameter will return.​
TargetTrafficWeight​
Integer​
100​
Target release traffic percentage. Valid value 0-100, representing the proportion of traffic in the version you want to release, and full release is 100.​
CurrentTrafficWeight​
Integer​
50​
The current released traffic percentage. Valid value 1-100, representing the proportion of traffic of the version currently being released, and only when the status is inprogress/failed, a parameter will return.​
ErrorCode​
String​
function_start_failed​
Error codes for release failures:​
  • function_start_failed: Function start failed​
  • function_start_timeout: Function start timeout​
  • function_health_check_failed: Function health check failed​
  • system_internal_error: System internal error​
FailedInstanceLogs​
String​
https://vefaas-sit.tos-s3-cn-boe.volces.com/release_failed_instance_logs/******​
The download link for instance logs of failed releases.​
ReleaseRecordId​
String​
xozo******​
Release record ID.​
​
Sample response​
​
HTTP/1.1 200 OK​
Content-Type: application/json​
{​
"ResponseMetadata": {​
"RequestId": "20230604110420****100232280022D31",​
"Action": "Release",​
"Version": "2024-06-06",​
"Service": "vefaas",​
"Region": "cn-beijing"​
},​
"Result": {​
"FunctionId": "nwwzoaq1",​
"Status": "done",​
"StatusMessage": "Function release finished successfully",​
"StableRevisionNumber": 1,​
"NewRevisionNumber": 1,​
"OldRevisionNumber": 1,​
"StartTime": "2024-06-27 07:05:12",​
"TargetTrafficWeight": 100,​
"CurrentTrafficWeight": 50,​
"ErrorCode": "function_start_failed",​
"FailedInstanceLogs": "https://vefaas-sit.tos-s3-cn-boe.volces.com/release_failed_instance_logs/******",​
"ReleaseRecordId": "xozo******"​
}​
}​
​
Error code​
The current interface temporarily has no independent error code. If the interface calls back abnormally, you can refer to Public error code to troubleshoot.​
Last updated: 2025.06.30 11:37:43